class MultiframeSprite : public Sprite {
protected:
  unsigned int frame;
  unsigned int maxframes;
  unsigned int delay,count;
  int auto_animate;
  void RenderSprite(Drawable d);
  void CalculateSize();
public:
  MultiframeSprite(SpriteAppWin *sw,float _x,float _y,char **data,
		   unsigned int mf,unsigned int d);
  MultiframeSprite(SpriteAppWin *sw,float _x,float _y,Pixmap pm,Pixmap mask,
		   unsigned int mf,unsigned int d);
  void MoveSprite(float,float);
  void SetAutoAnimate(int a) {auto_animate = a;}
  void SetFrame(unsigned int f) {frame = f % maxframes;}
  void SetMaxFrames(unsigned int m);
  void ChangeSpriteShape(char **data);
  void ChangeSpriteShape(Pixmap,Pixmap);
};
